Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82464 - Crashes if --isodir=<directory> does not have trailing /
Summary: Crashes if --isodir=<directory> does not have trailing /
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-01-22 14:53 UTC by Jon Burgess
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-30 23:07:57 UTC


Attachments (Terms of Use)

Description Jon Burgess 2003-01-22 14:53:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
Phoebe (RH-8.0.93)
redhat-config-packages-1.1.5-1

When trying to add extra packages from iso images in a directory,
redhat-config-packages only works if the directory name is specified with a
trailing slash, otherwise an error is returned.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
redhat-config-packages --isodir=/usr/src/RedHat-8.0.93/iso/i386
    

Actual Results:  Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/MainWindow.py", line 151, in ?
    im = get_method(args)
  File "/usr/share/redhat-config-packages/config.py", line 53, in get_method
    return method.LoopbackIsoInstallMethod(isodir)
  File "/usr/share/redhat-config-packages/method.py", line 328, in __init__
    self.mountDisc(1)
  File "/usr/share/redhat-config-packages/method.py", line 378, in mountDisc
    readOnly = 1)
  File "/usr/lib/python2.2/site-packages/rhpl/diskutil.py", line 82, in losetup
    targ = os.open(file, mode)
OSError: [Errno 2] No such file or directory:
'/usr/src/RedHat-8.0.93/iso/i386phoebe-i386-disc1.iso'

[ Note the application appended the filename without adding a / after the
directory name ]

Expected Results:  [ No errror ]
This command works OK, apart from warnings:
redhat-config-packages --isodir=/usr/src/RedHat-8.0.93/iso/i386/
* Core references package efibootmgr which doesn't exist
* Core references package elilo which doesn't exist
...


Additional info:

This bug also exists in RH-8.0

Comment 1 Jeremy Katz 2003-02-09 21:47:10 UTC
Fixed in cvs, will be in 1.1.6-1

Comment 2 Bill Nottingham 2003-07-30 23:07:57 UTC
Closing out some bugs that have been in MODIFIED state. Please reopen if they
persist.


Note You need to log in before you can comment on or make changes to this bug.